from discord import User
from discord.ext import commands


class AdminCog(commands.Cog):
    def __init__(self, bot):
        self.bot = bot

    @commands.command(name="ban")
    @commands.has_permissions(administrator=True)
    async def _ban(self, ctx, user: User = None, reason=None):
        if not user or user == ctx.message.author:
            await ctx.channel.send("You cannot ban yourself")


def setup(bot):
    bot.add_cog(AdminCog(bot))
